package com.hzya.frame.plugin.lets.ofs.entity;

import com.hzya.frame.web.entity.BaseEntity;
import lombok.Data;

import java.io.Serializable;

/**
 * @Author
 * @Date 2024/8/6 14:57
 * @PackageName:com.hzya.frame.plugin.lets.ofs.entity
 * @ClassName: ShopEntity
 * @Description: OFS店铺实体类
 */
@Data
public class ShopEntity implements Serializable {
    //      店铺业务编码
    private String bizCode;
    //   销售平台
    private String platformCode;
    //   店铺名称
    private String name;
    //   店主账号
    private String ownerAccount;
    //   u8货主
    private String u8CompanyCode;
    //   运营类型
    private String operationType;
    //   业务
    private String business;
    //   客户分类编码
    private String customerClassifyCode;
    //   客户编码
    private String customerCode;
    //   客户管理类型编码
    private String cmtCode;
    //   品牌
    private String brandCode;
    //   组织
    private String clientCode;
    //   货主编码
    private String companyCode;
    private Integer status;
    private String lastUpdated_start;
    private String lastUpdated_end;

    private String pageNo;


}
