package com.hzya.frame.plugin.lets.u8cdto;

import com.hzya.frame.ttxofs.dto.ofssaleorderoutsearch.DetailsDto;
import com.hzya.frame.ttxofs.dto.ofssaleorderoutsearch.HeaderDto;
import com.hzya.frame.plugin.lets.entity.*;

import java.math.BigDecimal;

/**
 * @Author：liuyang
 * @Package：com.hzya.frame.ttxofs.dto.u8cson
 * @Project：kangarooDataCenterV3
 * @name：SonDetailsDto
 * @Date：2024/8/5 16:07
 * @Filename：SonDetailsDto
 */
public class SonDetailsDto extends DetailsDto {

    /**
     * 表头对象
     */
    private HeaderDto header;

    /**
     * 表头公司（销售公司）
     */
    private BdCorpEntity bdCorpEntity;

    /**
     * 发货库存组织
     */
    private BdCalbodyEntity bdCalbodyEntity;

    /**
     * 发货仓库
     */
    private BdStordocEntity bdStordocEntity;

    /**
     * 收货库存组织
     */
    private BdCalbodyEntity bdCalbodyEntity1;

    /**
     * 收货仓库
     */
    private BdStordocEntity bdStordocEntity1;

    /**
     * 销售组织
     */
    private BdSalestruEntity bdSalestruEntity;

    /**
     * 业务部门
     */
    private BdDeptdocEntity bdDeptdocEntity;

    /**
     * 客商管理档案
     */
    private BdCumandocEntity bdCumandocEntity;

    /**
     * 客商基本档案
     */
    private BdCubasdocEntity bdCubasdocEntity;

    /**
     * 生成汇总维度字符串
     */
    private String summaryDimensionStr;

    /**
     * 汇总总金额
     */
    private BigDecimal groupTotalPayAmount;

    /**
     * 汇总实发数量
     */
    private BigDecimal groupShipQty;

    /**
     * 发货公司
     */
    private BdCorpEntity deliverGoodsCorp;

    /**
     * U8C平台档案
     */
    private BdDefdocEntity platformArchives;

    /**
     * U8C店铺档案
     */
    private BdDefdocEntity shopArchives;

    public BdDefdocEntity getShopArchives() {
        return shopArchives;
    }

    public void setShopArchives(BdDefdocEntity shopArchives) {
        this.shopArchives = shopArchives;
    }

    public BdDefdocEntity getPlatformArchives() {
        return platformArchives;
    }

    public void setPlatformArchives(BdDefdocEntity platformArchives) {
        this.platformArchives = platformArchives;
    }

    public BdCorpEntity getDeliverGoodsCorp() {
        return deliverGoodsCorp;
    }

    public void setDeliverGoodsCorp(BdCorpEntity deliverGoodsCorp) {
        this.deliverGoodsCorp = deliverGoodsCorp;
    }

    public BigDecimal getGroupShipQty() {
        return groupShipQty;
    }

    public void setGroupShipQty(BigDecimal groupShipQty) {
        this.groupShipQty = groupShipQty;
    }

    public BigDecimal getGroupTotalPayAmount() {
        return groupTotalPayAmount;
    }

    public void setGroupTotalPayAmount(BigDecimal groupTotalPayAmount) {
        this.groupTotalPayAmount = groupTotalPayAmount;
    }

    public String getSummaryDimensionStr() {
        return summaryDimensionStr;
    }

    public void setSummaryDimensionStr(String summaryDimensionStr) {
        this.summaryDimensionStr = summaryDimensionStr;
    }

    public BdCorpEntity getBdCorpEntity() {
        return bdCorpEntity;
    }

    public void setBdCorpEntity(BdCorpEntity bdCorpEntity) {
        this.bdCorpEntity = bdCorpEntity;
    }

    public BdCalbodyEntity getBdCalbodyEntity() {
        return bdCalbodyEntity;
    }

    public void setBdCalbodyEntity(BdCalbodyEntity bdCalbodyEntity) {
        this.bdCalbodyEntity = bdCalbodyEntity;
    }

    public BdStordocEntity getBdStordocEntity() {
        return bdStordocEntity;
    }

    public void setBdStordocEntity(BdStordocEntity bdStordocEntity) {
        this.bdStordocEntity = bdStordocEntity;
    }

    public BdCalbodyEntity getBdCalbodyEntity1() {
        return bdCalbodyEntity1;
    }

    public void setBdCalbodyEntity1(BdCalbodyEntity bdCalbodyEntity1) {
        this.bdCalbodyEntity1 = bdCalbodyEntity1;
    }

    public BdStordocEntity getBdStordocEntity1() {
        return bdStordocEntity1;
    }

    public void setBdStordocEntity1(BdStordocEntity bdStordocEntity1) {
        this.bdStordocEntity1 = bdStordocEntity1;
    }

    public BdSalestruEntity getBdSalestruEntity() {
        return bdSalestruEntity;
    }

    public void setBdSalestruEntity(BdSalestruEntity bdSalestruEntity) {
        this.bdSalestruEntity = bdSalestruEntity;
    }

    public BdDeptdocEntity getBdDeptdocEntity() {
        return bdDeptdocEntity;
    }

    public void setBdDeptdocEntity(BdDeptdocEntity bdDeptdocEntity) {
        this.bdDeptdocEntity = bdDeptdocEntity;
    }

    public BdCumandocEntity getBdCumandocEntity() {
        return bdCumandocEntity;
    }

    public void setBdCumandocEntity(BdCumandocEntity bdCumandocEntity) {
        this.bdCumandocEntity = bdCumandocEntity;
    }

    public HeaderDto getHeader() {
        return header;
    }

    public void setHeader(HeaderDto header) {
        this.header = header;
    }

    public BdCubasdocEntity getBdCubasdocEntity() {
        return bdCubasdocEntity;
    }

    public void setBdCubasdocEntity(BdCubasdocEntity bdCubasdocEntity) {
        this.bdCubasdocEntity = bdCubasdocEntity;
    }
}