package com.hzya.frame.plugin.lets.u8cdto;


import lombok.Data;

import java.util.List;

/**
 * @Author
 * @Date 2024/8/8 15:15
 * @PackageName:com.hzya.frame.plugin.lets.plugin.base.vo
 * @ClassName: BdCumandocEntity
 * @Description: 客商管理档案
 */
@Data
public class CustmandocEntityDto {
    //	于客商总公司账期控制
    private boolean acclimitcontrol;
    //   呼机
    private String bp;
    //	助记码
    private String cmnecode;
    //	是否收付协同
    private boolean cooperateflag;
    //   	合作期限从
    private String cooperatingdayfrom;
    //	合作期限到
    private String cooperatingdayto;
    //	创建时间
    private String createtime;
    //	创建人

    private String creator;
    // 基于客商总公司信用控制
    private boolean creditcontrol;
    //	信用等级(填写编码)
    private String creditlevel;
    //	信用期限
    private int creditlimitnum;
    //	信用额度
    private double creditmny;
    //	信用保证金
    private double creditmoney;
    //	是否信用管制
    private String credlimitflag;
    //	客商编码
    private String custcode;
    //由于客商管理档案在数据库表中存的两条，所以childrenvo如果传的话需要传两条，这两条数据的客商属性字段必须是这些组合（客户0和4，供应商1和空格，客商2和3），不传childrenvo默认是客户0和4
    private String custflag;
    //	客商名称
    private String custname;
    //	客商状态
    private String custstate;

    private String def1;

    private String def10;

    private String def11;

    private String def12;

    private String def13;

    private String def14;
    private String def15;

    private String def16;

    private String def17;

    private String def18;

    private String def19;

    private String def2;

    private String def20;

    private String def21;

    private String def22;

    private String def23;

    private String def24;

    private String def25;
    private String def26;

    private String def27;

    private String def28;

    private String def29;

    private String def3;

    private String def30;

    private String def4;

    private String def5;

    private String def6;

    private String def7;

    private String def8;

    private String def9;
    //	发展日期
    private String developdate;
    //是否允许异币种核算
    private String diffcurrflag;
    //  扣率
    private String discountrate;
    //	删除标志
    private int dr;
    //	免于帐期检查
    private boolean freeofacclmtcheck;
    //	免于信用额度检查
    private boolean freeofcremnycheck;
    //	冻结时间
    private String frozendate;
    //	是否冻结
    private boolean frozenflag;

    //	等级
    private int grade;
    //	内控帐期天数
    private String innerctldays;
    //	筹投资单位
    private boolean iounit;
    //	是否零售加盟店
    private boolean isagent;
    //	是否催款
    private boolean ispromtesettlement;
    //	联系人
    private String linkman;
    //	备注
    private String memo;
    //	手机
    private String mobilephone;
    //	修改人
    private String modifier;
    //	修改时间
    private String modifytime;
    // 	地区分类
    private String pk_areacl;
    //	库存组织(填写编码)
    private String pk_calbody;
    //	公司(填写编码)
    private String pk_corp;
    //	默认交易币种(填写编码)
    private String pk_currtype1;
    //	开票客商(填写编码)
    private String pk_cusmandoc2;
    //	发货客商(填写编码)
    private String pk_cusmandoc3;
    //	默认业务类型(填写编码)
    private String pk_defbusitype;
    //	默认收付款协议(填写编码)
    private String pk_payterm;
    //	公司价格分组(填写编码)
    private String pk_pricegroupcorp;
    //	专管部门(填写编码)
    private String pk_respdept1;
    //	专管业务员(填写编码)
    private String pk_resppsn1;
    // 	销售组织(填写编码)
    private String pk_salestru;
    // 	发运方式(填写编码)
    private String pk_sendtype;
    //  结算单位主键(已废弃)
    private String pk_settleunit;
    //	仓库档案(填写编码)
    private String pk_stordoc2;
    //	预收款比例
    private int prepaidratio;
    //	批准日期
    private String ratifydate;
    //	封存标志
    private String sealflag;
    //	存货最低售价比例
    private int stockpriceratio;
    //  新产品试销保证金
    private double testsalemoney;
}










